import type { Key } from '@antdv/ui/es/types';
import type { ColumnTitle, ColumnTitleProps, TableColumnType, TableColumnsType } from './interface';
export declare function getColumnKey<RecordType>(column: TableColumnType<RecordType>, defaultKey: string): Key;
export declare function getColumnPos(index: number, pos?: string): string;
export declare function renderColumnTitle<RecordType>(title: ColumnTitle<RecordType>, props: ColumnTitleProps<RecordType>): import("@antdv/ui/es/types").VueNode;
export declare function convertChildrenToColumns<RecordType>(elements?: any[]): TableColumnsType<RecordType>;
